AbstractBufferQueue (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class AbstractBufferQueue

- java.lang.Object
- - siena.dvdrp.AbstractBufferQueue

- All Implemented Interfaces:
    PacketQueue
  Direct Known Subclasses:
    StaticBufferQueue

      public abstract class AbstractBufferQueue
      extends java.lang.Object
      implements PacketQueue

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PoolAndQueue` | `Q`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBufferQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(byte[] buf)`
    `void` | `add(byte[] buf, int length)`
    `void` | `clear()`
    `boolean` | `hasNext()`
    `Buffer` | `next()`
    `int` | `next(byte[] buf)`
    `void` | `recycle(Buffer buf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Q

          protected PoolAndQueue Q

  - ### Constructor Detail

    - #### AbstractBufferQueue

          public AbstractBufferQueue()

  - ### Method Detail

    - #### add

          public void add(byte[] buf)
                   throws java.lang.Exception

      Specified by:
        `add` in interface `PacketQueue`
      Throws:
        `java.lang.Exception`

    - #### next

          public int next(byte[] buf)

      Specified by:
        `next` in interface `PacketQueue`

    - #### next

          public Buffer next()

    - #### recycle

          public void recycle(Buffer buf)

    - #### hasNext

          public boolean hasNext()

    - #### add

          public void add(byte[] buf,
                 int length)
                   throws QueueFullException

      Specified by:
        `add` in interface `PacketQueue`
      Throws:
        `QueueFullException`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `PacketQueue`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga